| Home | Libraries | People | FAQ | More

## Function opengl_enqueue_acquire_buffer

boost::compute::opengl_enqueue_acquire_buffer

## Synopsis

    // In header: <boost/compute/interop/opengl/acquire.hpp>

    event opengl_enqueue_acquire_buffer(const opengl_buffer & buffer,
                                        command_queue & queue,
                                        const wait_list & events = wait_list());

## Description

Enqueues a command to acquire the specified OpenGL buffer.

See the documentation for clEnqueueAcquireGLObjects() for more information.